<?xml version="1.0"?>
<!--DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"-->

<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY amp  "&#233;">
    <!ENTITY copy "&#169;">
]>

<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:xsi="http://www.w3.org/2000/10/XMLSchema-instance">
  <xsl:output method="html" indent="yes" />

  <xsl:template match="/">
    <html>
      <head>
        <meta name="generator" content="HTML Tidy, see www.w3.org" />
        <link rel="stylesheet" type="text/css" href="{$cssDir}ftd.css" />
        <script language="JavaScript" src="{$cssDir}javascript.js"></script>
        <xsl:value-of select="Events/WatchlistJS" disable-output-escaping="yes"/>
        <title></title>
      </head>

   <body>

    <table style="width:100%;" cellspacing="0" cellpadding="0" border="0">
     <tr>
      <td>
       <table class="main" border="0" cellspacing="0" cellpadding="0">
        <col width="20" />
        <col width="*" />
        <col width="41" />

        <tr class="header" style="color: #276E56; background-image: url({$imgDir}/headerbg5.bmp);">

         <td><img src="{$imgDir}/nieuw.bmp" /></td>

         <td>
          <span style="white-space: nowrap; padding-left: 10px;">Nieuw Binnen</span>
         </td>

         <td>
          <img src="{$imgDir}/headerend5.bmp" />
         </td>
        </tr>
       </table>

       <xsl:apply-templates name="Events" />

      </td>
     </tr>
    </table>

    <table style="width:100%;" cellspacing="0" cellpadding="0">
     <col width="25" />

     <col width="*" />

     <tr>
      <td>
       <img src="{$imgDir}/botleft5.bmp" />
      </td>

      <td align="center" style="background-image: url({$imgDir}/botbot5.bmp);">
       <img src="{$imgDir}/ftdfooter5.gif" />
      </td>
     </tr>
    </table>

    <div class="footer">FTD4Linux 1.0 &#169; 2003-2006
     <a style="color: #A6A8C9;" href="#ftdmailAlguno">Alguno</a>. Gehost door
     <a style="color: #C3C6ED;" href="http://www.quickhost.nl/?ref=1" target="_blank">
      <b>QuickHost</b>
     </a>

     - Webhosting &amp; More</div>
   </body>
  </html>
 </xsl:template>


 <xsl:template match="Events">
  <table style="width: 100%;" cellspacing="0" cellpadding="0" border="0">
   <col width="25" />
   <col width="*" />
   <tr>
    <td style="background-image: url({$imgDir}/bleft5.bmp);">
     &nbsp;
    </td>

    <xsl:choose>
     <xsl:when test="AantalEvents != 0">
      <td style="padding-right: 15px; padding-bottom: 10px; padding-top: 10px; border-right: 2px solid #70CFA8; background-image: url({$imgDir}/mainbg5.bmp);" >
       Overzicht aangemaakt: <xsl:value-of select="DateTimeGenerated"/><BR/>
       <xsl:apply-templates select="CatEvents" />
      </td>
     </xsl:when>
     <xsl:when test="AantalEvents = 0">
      <td style="background-image: url({$imgDir}/mainbg5.bmp);">
      Overzicht aangemaakt: <xsl:value-of select="DateTimeGenerated"/><BR/>
      <center>Geen nieuwe FTD postings gevonden sinds laatste update . . .</center></td>
     </xsl:when>
    </xsl:choose>
   </tr>
  </table>
 </xsl:template>


 <xsl:template match="CatEvents">

  <div class="catheader">
    <xsl:value-of select="@catName"/>
  </div>
  <table cellspacing="0" cellpadding="0"
     style="table-layout: fixed; border: 1px solid #000000; text-align=center; background-color: #F1FAFB; width: 100%; font-family: Arial; font-size: 11px;">
    <col width="20"/>
    <col width="75"/>
    <col width="40"/>
    <col width="38"/>
    <col width="16"/>
    <col width="*"/>
    <col width="20"/>
    <col width="150" style="white-space: nowrap; text-align:left;"/>
    <col width="20"/>
    <tr style="color: #32513A; background-image: url({$imgDir}/pbg.bmp); padding-top: 4px; padding-bottom: 7px; font-family: Verdana; font-size: 11px; font-weight: bold;">
      <td>
        &nbsp;
      </td>
      <td>
        <img src="{$imgDir}/aup.gif"/> <a style="color: #32513A;" href="iets.html#sortmode0">Datum</a>
      </td>
      <td>
        &nbsp;
      </td>
      <td>
        R
      </td>
      <td>
        &nbsp;
      </td>
      <td>
         <a style="color: #32513A;" href="iets.html#sortmode1">Titel</a>
      </td>
      <td>
          &nbsp;
      </td>
      <td>
         <a style="color: #32513A;" href="iets.html#sortmode2">Poster</a>
      </td>
      <td>
         &nbsp;
      </td>
    </tr>
     <xsl:param name="sortMode"><xsl:value-of select="SortMode"/></xsl:param>
     <xsl:if test="SortRichting = 'ascending'">
      <xsl:apply-templates select="Event">
       <xsl:sort select="*[name(.) = $sortMode]" order="ascending" />
      </xsl:apply-templates>
     </xsl:if>
     <xsl:if test="SortRichting = 'descending'">
      <xsl:apply-templates select="Event">
       <xsl:sort select="*[name(.) = $sortMode]" order="descending" />
      </xsl:apply-templates>
     </xsl:if>
    <tr>
      <td colspan="8">
         &nbsp;
      </td>
    </tr>
  </table>
  <table class="subtable" cellspacing="0" cellpadding="0">
    <tr>
      <td>
        &nbsp;
      </td>
    </tr>
  </table>
 </xsl:template>


 <xsl:template match="Event">
  <tr>
  <xsl:choose>
   <xsl:when test="position() mod 2 = 0">
    <xsl:attribute name="onmouseover">
     this.style.backgroundColor = '#FFFFFF'; ptr(1,'ptr<xsl:value-of select="Pos" />'); dllist(0,'a',<xsl:value-of select="PostID" />);
    </xsl:attribute>
    <xsl:attribute name="onmouseout">
     this.style.backgroundColor = '#F4FFF4'; ptr(0,'ptr<xsl:value-of select="Pos" />'); dllist(1,'a',<xsl:value-of select="PostID" />);
    </xsl:attribute>
    <xsl:attribute name="bgcolor">
     #F4FFF4
    </xsl:attribute>
   </xsl:when>
   <xsl:when test="position() mod 2 = 1">
    <xsl:attribute name="onmouseover">
     this.style.backgroundColor = '#FFFFFF'; ptr(1,'ptr<xsl:value-of select="Pos" />'); dllist(0,'b',<xsl:value-of select="PostID" />);
    </xsl:attribute>
    <xsl:attribute name="onmouseout">
     this.style.backgroundColor = '#DDFFDD'; ptr(0,'ptr<xsl:value-of select="Pos" />'); dllist(1,'b',<xsl:value-of select="PostID" />);
    </xsl:attribute>
    <xsl:attribute name="bgcolor">
     #DDFFDD
    </xsl:attribute>
   </xsl:when>
  </xsl:choose>
   <td>
    <xsl:choose>
     <xsl:when test="Status = -2">
      <center><img src="{$imgDir}/kill.gif" /></center>
     </xsl:when>
     <xsl:when test="Status = -1">
      <center><img src="{$imgDir}/spot.gif" /></center> <!-- spot -->
     </xsl:when>
     <xsl:when test="Status = 0">
      <center><img src="{$imgDir}/gray.gif" /></center> <!-- ready -->
     </xsl:when>
     <xsl:when test="Status = 1">
      <center><img src="{$imgDir}/brown.gif" /></center> <!-- announce -->
     </xsl:when>
     <xsl:when test="Status = 2">
      <center><img src="{$imgDir}/green.gif" /></center> <!-- uploading -->
     </xsl:when>
     <xsl:when test="Status = 3">
      <center><img src="{$imgDir}/red.gif" /></center> <!-- unsupp -->
     </xsl:when>
    </xsl:choose>
   </td>
   <td>
    <span style="white-space: nowrap;"><xsl:value-of select="Datum"/></span>
   </td>
   <td>
    <img src="{$imgDir}/ct{Cat}{SCat}.gif"/>
   </td>
   <td>
    <xsl:variable name="Rat" select="substring((Rating div 100), 1, 1)"/>
    <img src="{$imgDir}/vw_{$Rat}.gif" alt="Rating : {Rating}"/>
   </td>
   <td>
    <img name="ptr{Pos}" src="{$imgDir}/ptr1.gif"/>
   </td>
   <td>
    <div style="overflow:hidden; white-space: nowrap; text-overflow: ellipsis; padding: 1px 6px;">
     <a style="color: #008800;" href="iets.html#post{PostID}"><xsl:value-of select="Title" disable-output-escaping="yes" /></a>
    </div>
   </td>
   <td>
    <xsl:choose>
     <xsl:when test="Link != ''">
      <a href="iets.html#link{Link}"><img src="{$imgDir}/u.gif" border="0"/></a>
     </xsl:when>
    </xsl:choose>
   </td>
   <td style="white-space: nowrap; text-align:left;">
    <a href="iets.html#info{Poster}"><xsl:value-of select="Poster"/></a>
   </td>
   <td>
    <xsl:choose>
     <xsl:when test="Watchlist = 1">
      <a href="iets.html#add{PostID}"><img border="0" name="p{PostID}" onclick="dllist(2,'a',{PostID});" src="{$imgDir}/dlb2a.bmp"/></a>
     </xsl:when>
     <xsl:when test="Watchlist = 0">
      <a href="iets.html#add{PostID}"><img border="0" name="p{PostID}" onclick="dllist(2,'a',{PostID});" src="{$imgDir}/dlb1a.bmp"/></a>
     </xsl:when>
    </xsl:choose>
   </td>
  </tr>

 </xsl:template>
</xsl:stylesheet>
